package zkoss;

import org.zkoss.bind.annotation.Command;
import org.zkoss.bind.annotation.Init;

import zkoss.dto.BeanWrapper;

public class SampleComposer {
	private BeanWrapper beanWrapper;

	@Init
	public void init() {
		beanWrapper = new BeanWrapper();
		beanWrapper.getBean().setMember("Initialized in init() method in Composer");
	}

	@Command
	public void doSubmit() {
		System.out.println("Submitting");
	}

	public BeanWrapper getBeanWrapper() {
		return beanWrapper;
	}

	public void setBeanWrapper(BeanWrapper beanWrapper) {
		this.beanWrapper = beanWrapper;
	}

}
